Skip to main content
POST
/
api
/
custom_domains
/
{id}
/
set_primary
Error
A valid request URL is required to generate request examples
{
  "domain": {
    "id": 123,
    "domain": "sign.example.com",
    "primary": true,
    "verification_record_name": "<string>",
    "verification_record_value": "<string>",
    "ssl_status": "<string>",
    "dns_verified_at": "2023-11-07T05:31:56Z",
    "ssl_provisioned_at": "2023-11-07T05:31:56Z",
    "last_checked_at": "2023-11-07T05:31:56Z",
    "last_error": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.spitshake.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

API token generated at Settings > API

Path Parameters

id
integer
required

Response

Domain set as primary

domain
object